Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 343577 - app-emulation/dosemu _FORTIFY_SOURCE indicates presence of overflow
Summary: app-emulation/dosemu _FORTIFY_SOURCE indicates presence of overflow
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High major (vote)
Assignee: Hanno Böck
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: fortify-source
  Show dependency tree
 
Reported: 2010-10-31 20:28 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2013-08-05 10:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (dosemu-1.4.1_pre20091009:20101031-165218.log,127.05 KB, text/plain)
2010-10-31 20:28 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-31 20:28:26 UTC
You're receiving this bug because the package in Summary has produced _FORTIFY_SOURCE related warnings indicating the presence of a sure overflow in a static buffer.

Even though this is not always an indication of a security problem it might even be. So please check this out ASAP.

By the way, _FORTIFY_SOURCE is disabled when you disable optimisation, so don't try finding out the cause using -O0.

Thanks,
Your friendly neighborhood tinderboxer
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-10-31 20:28:45 UTC
Created attachment 252711 [details]
Build log
Comment 2 Sergei Trofimovich gentoo-dev 2013-08-05 10:26:33 UTC
Pushed as:

>*dosemu-1.4.1_pre20130107-r3 (05 Aug 2013)
> 
>  05 Aug 2013; Sergei Trofimovich <slyfox@gentoo.org>
>  +dosemu-1.4.1_pre20130107-r3.ebuild,
>  +files/dosemu-1.4.1_pre20130107-fortify.patch,
>  dosemu-1.4.1_pre20130107-r2.ebuild:
>  Fixed stack struct overflow (bug #343577 by Diego Elio Pettenò).

Thanks!

Patch sent upstream as-is.